Bug 20761 - Add a protected destructor for RefCounted
Summary: Add a protected destructor for RefCounted
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P4 Trivial
Assignee: Alexey Proskuryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-10 02:02 PDT by Alexey Proskuryakov
Modified: 2008-09-17 23:51 PDT (History)
0 users

See Also:


Attachments
proposed patch (1.05 KB, patch)
2008-09-10 02:04 PDT, Alexey Proskuryakov
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2008-09-10 02:02:31 PDT
It is wrong to call its destructor directly, because (1) this should be taken care of by deref(), and (2) many classes that use RefCounted have non-virtual destructors.
Comment 1 Alexey Proskuryakov 2008-09-10 02:04:05 PDT
Created attachment 23315 [details]
proposed patch
Comment 2 Eric Seidel (no email) 2008-09-12 12:24:11 PDT
Comment on attachment 23315 [details]
proposed patch

r=me
Comment 3 Alexey Proskuryakov 2008-09-17 23:51:20 PDT
Committed <http://trac.webkit.org/projects/webkit/changeset/36425>.